Package com.independentsoft.office.odf.forms

# Enum Class ListSourceType

java.lang.Object
java.lang.Enum<ListSourceType>
com.independentsoft.office.odf.forms.ListSourceType

All Implemented Interfaces:
  `Serializable`, `Comparable<ListSourceType>`, `Constable`

public enum ListSourceType extends Enum<ListSourceType>
Represents how to populate the entry list in a combo box or list box control.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  None
  `QUERY`
  Evaluated against the database front-end document or database connection defined by the form which the control belongs to.
  `SQL`
  Evaluated against the database front-end document or database connection defined by the form which the control belongs to.
  `SQL_PASS_THROUGH`
  Evaluated against the database front-end document or database connection defined by the form which the control belongs to.
  `TABLE`
  Evaluated against the database front-end document or database connection defined by the form which the control belongs to.
  `TABLE_FIELDS`
  Evaluated against the database front-end document or database connection defined by the form which the control belongs to.
  `VALUE_LIST`
  Entry list populated by values specified by the form.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ListSourceType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ListSourceType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TABLE

    public static final ListSourceType TABLE
    Evaluated against the database front-end document or database connection defined by the form which the control belongs to.

  - ### QUERY

    public static final ListSourceType QUERY
    Evaluated against the database front-end document or database connection defined by the form which the control belongs to.

  - ### SQL

    public static final ListSourceType SQL
    Evaluated against the database front-end document or database connection defined by the form which the control belongs to.

  - ### SQL_PASS_THROUGH

    public static final ListSourceType SQL_PASS_THROUGH
    Evaluated against the database front-end document or database connection defined by the form which the control belongs to.

  - ### VALUE_LIST

    public static final ListSourceType VALUE_LIST
    Entry list populated by values specified by the form.

  - ### TABLE_FIELDS

    public static final ListSourceType TABLE_FIELDS
    Evaluated against the database front-end document or database connection defined by the form which the control belongs to.

  - ### NONE

    public static final ListSourceType NONE
    None

- ## Method Details

  - ### values

    public static ListSourceType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ListSourceType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null